bullet_name = "missile-weelee"
dofile_lua( bullet_name )

-- leave me
	local actor = ACTOR_preload()
-- leave me

	actor[cp_actor_name]		= "weelee-big"
	actor[cp_model_dir]			= "beasties"
	actor[cp_model_name]		= "weelee-big"

	actor[cp_actor_type]			= cat_robot

	actor[cp_move_type]			= cmt_random -- cmt_path

	actor[cp_hit_delay]			= 4.0

	actor[cp_score]				= 400
	actor[cp_hit_power]			= 5.0
	actor[cp_health_percent]		= 100.0

	-- movement
	actor[cp_move_speed_min]		= 0.1
	actor[cp_move_speed_max]		= 0.1
	actor[cp_move_acceleration]		= 0.5
	actor[cp_move_deceleration]		= 0.5
	actor[cp_move_inertia_accn]		= 0.5
	actor[cp_move_inertia_decn]		= 0.5

	actor[cp_target_stop_dist]		= 2.0

	actor[cp_turn_lock_angle_inner]		= 20.0
	actor[cp_turn_lock_angle_outer]		= 30.0

	actor[cp_turn_speed_still]			= 3.0
	actor[cp_turn_acceleration_still]	= 1.9
	actor[cp_turn_inertia_still]		= 0.01
	actor[cp_turn_speed_moving]			= 3.0
	actor[cp_turn_acceleration_moving]	= 1.9
	actor[cp_turn_inertia_moving]		= 0.01

	actor[cp_turn_speed_aiming]			= 2.0 -- 6.0

	actor[cp_random_edge_inner_percent]	= 70.0
	actor[cp_random_edge_outer_percent]	= 80.0

	actor[cp_launch_hue_shift] = color

	actor[cp_launch_scale_min]		= 100.0
	actor[cp_launch_scale_max]		= 110.0

-- leave me
	c_preload_model( actor )
-- leave me

	c_set_use_explosion_for( "bye_bye", "weelee-big_flash", exp_no_align, 10.0, 0.0, 3000.0, 3000.0, {0.0, 0.1, 0.3} )
	c_add_particle_to_explosion( "weelee-big_flash", "explode", "", "weelee-small" )
	c_add_particle_to_explosion( "weelee-big_flash", "explode", "", "weelee-small_flash" )
	c_add_sound_to_explosion( "weelee-big_flash", "explode", "weelee-exp2" )
	c_add_sound_to_event( "hit_active_bone", "weelee-hit2" )
	c_add_sound_to_anim( "fire", "weelee-fire2" )
	c_add_sound_to_anim( "emerge", "weelee-big_emerge" )
	c_add_particle_to_anim( "fire", "gun1", "weelee-fire" )

	c_add_particle_to_anim( "emerge", "mainbone", "weelee-big_emerge" )
	c_add_particle_to_anim( "emerge", "mainbone", "weelee-big_emergepad" )


	c_add_some_wheels( "l-wheel", "r-wheel", 12.0, 1.0 )

	-- new state
	-- set new actor stuff
--	actor[cp_move_type]			= cmt_grid_fill
	-- send out
--	c_set_trigger_state( "change_to_path", "", actor )
	-- set new anims etc...
	local boo = WEAPON_preload( bullet_name )
	boo[w_gun_bone_name]		= "bgun1"
	boo[w_shaft_bone_name]		= "mainbone"
	boo[w_fire_anim_name]		= "fire"
	boo[w_aim_anim_name]		= "aim"
	boo[w_flare_exp_name]		= "weelee_flare"
	boo[w_flare_exp_scale]		= 1500.0
	boo[w_gun_type]				= "actor_body_aim"
	boo[w_aim_delay]			= 1.0
	boo[w_bullet_scale]			= 75.0
	boo[w_barrel_offset]		= 0.0
	boo[w_no_shoot_dist]		= 9.0
	boo[w_no_shoot_angle]		= 0.0
	boo[w_recoil_angle]			= 20.0
	boo[w_recoil_dist]			= 1.0
	boo[w_reload_random]		= 100.0
	local seq = { 2.0, 0.0 }
	WEAPON_add( boo, seq )
	-- new state
